//
// Copyright (c) FriendlyARM CO., Ltd.  All rights reserved.
//
#ifndef __OPTIONS_H
#define __OPTIONS_H

// --- by customer
#define KITL_NONE
//#define KITL_SERIAL_UART0
//#define KITL_SERIAL_UART1
//#define KITL_USBSERIAL
//#define KITL_ETHERNET

//#define LCD_N35
//#define LCD_L80
//#define LCD_T35
//#define LCD_A70
//#define LCD_VGA1024768
#define LCD_I56

//#define TOUCH_SCREEN_WIDTH  1024
//#define TOUCH_SCREEN_HEIGHT 768


// -----
#if defined(KITL_NONE) + defined(KITL_SERIAL_UART0) + defined(KITL_SERIAL_UART1) + defined(KITL_USBSERIAL) + defined(KITL_USBSERIAL) + defined(KITL_ETHERNET) != 1
#error Should defined only one KITL interface
#endif

#if defined(LCD_N35) + defined(LCD_L80) + defined(LCD_T35) + defined(LCD_A70) + defined(LCD_VGA1024768) + defined(LCD_I56) != 1
#error Must define only one LCD type
#endif

#if defined(LCD_N35)
#define LCD_WIDTH 240
#define LCD_HEIGHT 320

#elif defined(LCD_L80)
#define LCD_WIDTH 640
#define LCD_HEIGHT 480

#elif defined(LCD_T35)
#define LCD_WIDTH 240
#define LCD_HEIGHT 320

#elif defined(LCD_A70)
#define LCD_WIDTH 800
#define LCD_HEIGHT 480

#elif defined(LCD_I56)
#define LCD_WIDTH 640
#define LCD_HEIGHT 480

#elif defined(LCD_VGA1024768)
#define LCD_WIDTH 1024
#define LCD_HEIGHT 768
#endif

#if defined(TOUCH_SCREEN_WIDTH) + defined(TOUCH_SCREEN_HEIGHT) != 2
#define TOUCH_SCREEN_WIDTH  LCD_WIDTH
#define TOUCH_SCREEN_HEIGHT LCD_HEIGHT
#endif

#endif
